org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead10MethodSemaphoreBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead10MethodSemaphoreBean

    @ApplicationScoped
    public class Bulkhead10MethodSemaphoreBean
    extends Object

A simple method level Semaphore @Bulkhead(10)

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead10MethodSemaphoreBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead10MethodSemaphoreBean

    public Bulkhead10MethodSemaphoreBean()

### Method Detail

#### test

    @Bulkhead(value=10)
    public void test(Barrier barrier)